﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PanelBar_Binding
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            panelBar.ItemsSource = GenerateItems();
        }

        private List<DataItem> GenerateItems()
        {
            List<DataItem> result = new List<DataItem>();

            DataItem item1 = new DataItem() { Header = "Item 1" };
            DataItem item11 = new DataItem() { Header = "Item 1.1" };
            DataItem item12 = new DataItem() { Header = "Item 1.2" };
            DataItem item13 = new DataItem() { Header = "Item 1.3" };
            item1.Items.Add(item11);
            item1.Items.Add(item12);
            item1.Items.Add(item13);

            DataItem item2 = new DataItem() { Header = "Item 2" };
            DataItem item21 = new DataItem() { Header = "Item 2.1" };
            DataItem item22 = new DataItem() { Header = "Item 2.2" };
            DataItem item23 = new DataItem() { Header = "Item 2.3" };
            item2.Items.Add(item21);
            item2.Items.Add(item22);
            item2.Items.Add(item23);

            DataItem item3 = new DataItem() { Header = "Item 3" };
            DataItem item31 = new DataItem() { Header = "Item 3.1" };
            DataItem item32 = new DataItem() { Header = "Item 3.2" };
            DataItem item33 = new DataItem() { Header = "Item 3.3" };
            item3.Items.Add(item31);
            item3.Items.Add(item32);
            item3.Items.Add(item33);

            result.Add(item1);
            result.Add(item2);
            result.Add(item3);

            return result;
        }
    }

    public class DataItem
    {
        public DataItem()
        {
            this.Items = new List<DataItem>();
        }

        public string Header
        {
            get;
            set;
        }

        public List<DataItem> Items
        {
            get;
            set;
        }
    }
}
